/*
 * Rating
 *
 * Index
 * - Stars
 * - Star
 * - Rating number
 */

/* STARS
 -------------------- */

:host {
  display: flex;
  align-items: center;
}

.rating-stars {
  display: inline-flex;
  flex-shrink: 0;
}

/* STAR
 -------------------- */

.rating-star {
  color: var(--road-surface-disabled);
}

.rating-stars.rating-stars--small .icon-sm,
.rating-stars.rating-stars--extra-small .icon-sm{
  width: 1rem;
  height: 1rem;
}

/* RATING NUMBER
 -------------------- */

.rating-number {
  margin-left: 0.5rem;
  font-size: var(--road-link-medium);
  color: var(--road-on-surface);
  text-decoration: underline;
}

.rating-number.rating-number--small {
  font-size: var(--road-link-small);
}

.rating-number.rating-number--extra-small {
  font-size: var(--road-link-extra-small);
}


.rating-number.readonly {
  text-decoration: none;
}
